Package org.bukkit.material

# Class SpawnEgg

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SpawnEgg

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class SpawnEgg extends MaterialData
Deprecated.
use `SpawnEggMeta`
Represents a spawn egg that can be used to spawn mobs

## Constructor Summary

Constructors
Constructor
Description
`SpawnEgg()`
Deprecated.
`SpawnEgg(byte data)`
Deprecated.
Magic value
`SpawnEgg(EntityType type)`
Deprecated.
`SpawnEgg(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`SpawnEgg`
`clone()`
Deprecated.
`EntityType`
`getSpawnedType()`
Deprecated.
This is now stored in `SpawnEggMeta`.
`void`
`setSpawnedType(EntityType type)`
Deprecated.
This is now stored in `SpawnEggMeta`.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpawnEgg

public SpawnEgg()
Deprecated.

### SpawnEgg

@Deprecated public SpawnEgg(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

### SpawnEgg

@Deprecated public SpawnEgg(byte data)
Deprecated.
Magic value

Parameters:
  `data` - the raw data value

### SpawnEgg

public SpawnEgg(EntityType type)
Deprecated.

## Method Details

### getSpawnedType

@Deprecated public EntityType getSpawnedType()
Deprecated.
This is now stored in `SpawnEggMeta`.
Get the type of entity this egg will spawn.

Returns:
  The entity type.

### setSpawnedType

@Deprecated public void setSpawnedType(EntityType type)
Deprecated.
This is now stored in `SpawnEggMeta`.
Set the type of entity this egg will spawn.

Parameters:
  `type` - The entity type.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public SpawnEgg clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`